Subject: Re: [PATCH 1/1] Add --first-parent support to interactive rebase.

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Oct 2007 22:05:27 -0700

Your MUA seems to mark the UTF-8 message you are sending out as
8859-1, which means your name in the message gets corrupt.

Björn Steinbrink <[email-masked]> writes:

> By default, rebase will take all commits from the branch that is to be
> rebased which are missing in upstream. The new --first-parent option
> allows to just follow the first parent and thus completely ignore
> merges.
>
> Additionally, when used together with --preserve-merges (which is the
> more useful use-case) it will no longer rebase the commits from the
> merged-in branches, but instead redo the merge with the original
> parents.
>
> That means that:
>      ---H------I topicB

Please add a blank line after "means that:" for readability.

>     /    \      \
> ...
> does no longer become:
>                 -H'--------I'

Likewise; also, "no longer becomes:".

>                /  \         \
>               D'---E'---F'---G' topicA
>              /
>     A---B---C master
>      \
>       H---I topicB
> but instead:
>     A---B---C master

Likewise.

> ...
>         ---------H---------I topicB

And crucially, you forgot to say "... when you do X".

I am assuming that you meant:

    This (picture) becomes this (picture) instead of this (picture)
    when you run "git rebase -p -m master topicA".

but without it, the nice ASCII drawings loses their value.

It is somewhat disturbing that this treats the first parent too
special.